Skip to main content
GET
/
api
/
external
/
bridge
/
{bridgeId}
Get Bridge
curl --request GET \
  --url https://dashboard.starbridge.ai/api/external/bridge/{bridgeId} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://dashboard.starbridge.ai/api/external/bridge/{bridgeId}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://dashboard.starbridge.ai/api/external/bridge/{bridgeId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bridgeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "userId": "<string>",
  "updatedAt": "<string>",
  "rowCount": 123
}

Authorizations

Authorization
string
header
required

HTTP Bearer Authentication

Path Parameters

bridgeId
string
required

Response

Bridge details

bridgeId
string<uuid>
required

Unique identifier for the bridge

name
string
required

Name of the bridge

userId
string
required

User ID who created and owns the bridge

filterType
enum<string>
required

Type of filter applied to the bridge

Available options:
RFP,
Meeting,
Purchase,
Buyer,
Contact,
Signal,
Conference,
JobChange,
SequenceBuyer,
SequenceContact,
SequenceJobChange
status
enum<string>
required

Current status of the bridge

Available options:
Initializing,
Matching,
Draft,
Open,
Failed,
Deleting
updatedAt
string
required

Timestamp when a user last edited this bridge's configuration (name, columns, sharing). Does NOT indicate when new rows were added

rowCount
integer

Total number of rows in the bridge